package _VisualDVM.GlobalData.CompilerOption.UI;
import Common.MainModule_;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.Tables.RendererDBObject;
import _VisualDVM.GlobalData.CompilerOption.CompilerOption;
public class CompilerOptionParameterNameRenderer extends RendererDBObject {
    @Override
    public void Display() {
        if (value != null) {
            CompilerOption option = (CompilerOption) value;
            if (option.hasParameter()) {
                setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.TreePlain));
                setText(option.parameterName);
            } else {
                setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.UnknownState));
                setText("нет");
            }
        }
    }
}
